Last Comment Bug 558638 - Port Bug 524745 [Session restore sets focus to minimized windows] to SeaMonkey
: Port Bug 524745 [Session restore sets focus to minimized windows] to SeaMonkey
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Misak Khachatryan
:
Mentors:
Depends on: 524745
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 02:44 PDT by Misak Khachatryan
Modified: 2010-04-20 09:05 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch plus test (7.57 KB, patch)
2010-04-11 02:50 PDT, Misak Khachatryan
neil: review+
neil: superreview+
Details | Diff | Review

Description Misak Khachatryan 2010-04-11 02:44:39 PDT
From parent bug:

STR:
1. Have Firefox remember your tabs from last time at startup.
2. Minimize a window.
3. Close the browser without activating the window (right click taskbar entry,
close)
4. Start the browser up
5. Window displays, minimizes and then restores.

[depends on the patch in bug 520178]

This is a spin off from bug 520178. On windows, this problem is hidden by
another bug where session store didn't know the correct size mode of windows.

Once the patch in 520178 lands, this bug will be exposed.

Stepping through with venkman, this focus call is the cause -

http://mxr.mozilla.org/mozilla-central/source/browser/components/sessionstore/src/nsSessionStore.js#2440
Comment 1 Misak Khachatryan 2010-04-11 02:50:56 PDT
Created attachment 438334 [details] [diff] [review]
patch plus test

I also removed spaces in Makefile and replaced them with one tab, as Serge ask in https://bugzilla.mozilla.org/show_bug.cgi?id=480109#c20

I ran test on my Fedora 12, no failed test seen.
Comment 2 Misak Khachatryan 2010-04-19 23:58:50 PDT
Pushed http://hg.mozilla.org/comm-central/rev/4703fed91fcf

Note You need to log in before you can comment on or make changes to this bug.